org.apache.flume.channel

## Class DefaultChannelFactory

- java.lang.Object
- - org.apache.flume.channel.DefaultChannelFactory

- All Implemented Interfaces:
    ChannelFactory

      public class DefaultChannelFactory
      extends Object
      implements ChannelFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultChannelFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Channel` | `create(String name, String type)`
    `Class<? extends Channel>` | `getClass(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultChannelFactory

          public DefaultChannelFactory()

  - ### Method Detail

    - #### create

          public Channel create(String name,
                       String type)
                         throws FlumeException

      Specified by:
        `create` in interface `ChannelFactory`
      Throws:
        `FlumeException`

    - #### getClass

          public Class<? extends Channel> getClass(String type)
                                            throws FlumeException

      Specified by:
        `getClass` in interface `ChannelFactory`
      Throws:
        `FlumeException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.